<?php
/*
 * Plugin Name: 关注我 小工具
 * Version: 1.0
 * Plugin URI: http://www.tiandiyoyo.com
 * Description: 这是一个可以让访问者关注自己预设的社交ID的Widget插件，支持腾讯微博，Twitter，Google+，Linkedin。
 * Author: Tiandi
 * Author URI: http://www.tiandiyoyo.com
 */
 class FollowMeWidget extends WP_Widget
{
     function FollowMeWidget(){
	 wp_register_style('mycss', WP_PLUGIN_URL . '/FollowMeWidget/my.css');
     wp_enqueue_style('mycss');
     $hotinfo = array('classname'=>'widge_followme','description'=>'在社交网站中关注我');
     $this->WP_Widget(false,'关注我',$hotinfo,null);
     }

	 function form($instance){
		$instance = wp_parse_args((array)$instance,array('title'=>'关注我',
			'qqweibo'=>"http://t.qq.com/tiandi_zhang",
			'twitter'=>"http://twitter.com/tiandi_zhang",
			'google'=>"https://plus.google.com/108611801483864444741/posts",
			'linkedin'=>'http://www.linkedin.com/pub/tiandi-zhang/1b/984/192',
			'displayrss'=>"false",
			));
        $title =$instance['title'];
		$qqweibo = $instance['qqweibo'];
		$twitter = $instance['twitter'];
		$google = $instance['google'];
		$linkedin = $instance['linkedin'];
		$displayrss = $instance['displayrss'];
        echo '<p style="text-align:left;"><label for="'.$this->get_field_name('title').'">标题:<input style="width:200px;" id="'.$this->get_field_id('title').'" name="'.$this->get_field_name('title').'" type="text" value="'.$title.'" /></label></p>';
        echo '<p style="text-align:left;"><label for="'.$this->get_field_name('qqweibo').'">腾讯微博:(留空为不使用，下同)<input style="width:200px;" id="'.$this->get_field_id('qqweibo').'" name="'.$this->get_field_name('qqweibo').'" type="text" value="'.$qqweibo.'" /></label></p>';
		echo '<p style="text-align:left;"><label for="'.$this->get_field_name('twitter').'">Twitter:<input style="width:200px;" id="'.$this->get_field_id('twitter').'" name="'.$this->get_field_name('twitter').'" type="text" value="'.$twitter.'" /></label></p>';
		echo '<p style="text-align:left;"><label for="'.$this->get_field_name('google').'">Google+:<input style="width:200px;"
		id="'.$this->get_field_id('google').'" name="'.$this->get_field_name('google').'" type="text" value="'.$google.'" /></label></p>';
		echo '<p style="text-align:left;"><label for="'.$this->get_field_name('linkedin').'">Linkedin:<input style="width:200px;"
		id="'.$this->get_field_id('linkedin').'" name="'.$this->get_field_name('linkedin').'" type="text" value="'.$linkedin.'" /></label></p>';
		echo '<p style="text-align:left;"><label for="'.$this->get_field_name('displayrss').'">是否显示RSS:(显示true,不显示false):<input style="width:200px;"
		id="'.$this->get_field_id('displayrss').'" name="'.$this->get_field_name('displayrss').'" type="text" value="'.$displayrss.'" /></label></p>';
	 }
	function update($new_instance,$old_instance){
		$instance = $old_instance;
		$instance['title'] = $new_instance['title'];
		$instance['qqweibo'] = $new_instance['qqweibo'];
		$instance['twitter'] = $new_instance['twitter'];
		$instance['google'] = $new_instance['google'];
		$instance['linkedin'] = $new_instance['linkedin'];
		$instance['displayrss'] = $new_instance['displayrss'];
		return $instance;
	}
	function widget($args,$instance){
		extract($args);
		$title = apply_filters('widget_title',empty($instance['title']) ? '&nbsp;' : $instance['title']);
		$qqweibo =  empty($instance['qqweibo']) ? 0 : $instance['qqweibo'];
		$twitter =  empty($instance['twitter']) ? 0 : $instance['twitter'];
		$google =  empty($instance['google']) ? 0 : $instance['google'];
		$linkedin =  empty($instance['linkedin']) ? 0 : $instance['linkedin'];
		$displayrss =  empty($instance['displayrss']) ? false : $instance['displayrss'];
		echo $before_widget;
		echo $before_title . $title . $after_title;?>
		<div class = "followme">
		<ul><li>
		<?php if ($displayrss == "true") { ?>
		<a class="rssfeed2" target= _blank href="<?php bloginfo('rss2_url'); ?>"title="Subscribe to RSS feed"> </a>
		<?php } ?>
		<?php if ($qqweibo != "") { ?>
		<a class="qqweibo" target= _blank href="<?php echo $qqweibo; ?>" title="在腾讯微博上关注我"> </a>
		<?php } ?>
		<?php if ($twitter != "") { ?>
		<a class="twitter" target= _blank href="<?php echo $twitter; ?>" title="在Twitter上关注我"> </a>
		<?php } ?>
		<?php if ($google != "") { ?>
		<a class="google" target= _blank href="<?php echo $google; ?>" title="在Google+上关注我"> </a>
		<?php } ?>
		<?php if ($linkedin != "") { ?>
		<a class="linkedin" target= _blank href="<?php echo $linkedin; ?>" title="在linkedin上关注我"> </a>
		<?php } ?>
		</li></ul></div>
		<?php 
			echo $after_widget;
	 }
	 
}
function FollowMeInit(){
	register_widget('FollowMeWidget');
}
add_action('widgets_init','FollowMeInit');
?>